# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

version: 2
build:
  os: "ubuntu-22.04"
  tools:
    python: "3.12"
  apt_packages:
  - openjdk-11-jre
  - graphviz
  - fontconfig
  jobs:
    post_install:
    - wget https://github.com/plantuml/plantuml/releases/download/v1.2024.3/plantuml-gplv2-1.2024.3.jar

sphinx:
  configuration: docs/source/conf.py

formats:
- htmlzip
- pdf
- epub

# declare Python requirements required to build the documentation
# See https://docs.readthedocs.io/en/stable/guides/reproducible-builds.html
python:
  install:
  - requirements: docs/requirements.txt
